1

Running Raspbian installed with NOOBS. qjackctl is installed with all its dependencies using Synaptic. Just trying to run Guitarix on my Pi3 B+. I tried following the instructions in this solution, but the ../configure... command at the end just returned an error about missing directories. Help is appreciated, this is my first time using a Pi or Linux.

  • Possible duplicate of Qt applications don't work due to libEGL – Dirk Dec 19 '18 at 20:01
  • @Dirk That is what the OP followed but doesn't work :) – Ingo Dec 19 '18 at 22:15
  • 1
    Welcome to the Raspberry Pi flavoured corner of the Stack Exchange network - you may wish to take the tour which may help you to ask questions that furnish good replies. – SlySven Dec 20 '18 at 4:02
  • There's not enough information provided here to answer your question - or really to understand fully what your question is. We'll need, for example, the specific errors that you got. Maybe more. – Brick Dec 20 '18 at 14:37
0

According to https://www.raspberrypi.org/forums/viewtopic.php?p=971944 and from my own coding experience (I code for a macOs/Windows/Linux project that makes use of the Qt Libs) the RPi's OpenGLES is the embedded form which is not the same as a full Desktop system OpenGL - and some OpenGL stuff does not work on it (sadly that includes the oldest simplest direct OpenGL 1.0 stuff that is exactly what the project I code for uses).

I tried to build this on my RPi and after cloning the Guitarix project (from my ~/src/ directory): git clone http://git.code.sf.net/p/guitarix/git ./guitarix and after changing to the ~/src/guitarix/trunk/ directory and failing to run the command: ./waf --configure through to successful completion, I needed to work my way through finding and installing needed things - though you should be able to do all the package installation steps (with other associated pacakages) at one swell foop:

  • create a symbolic link from gcc/g++ to gcc-6/g++-6: sudo ln -s -i /usr/bin/gcc-6 /usr/bin/gcc and sudo ln -s -i /usr/bin/g++-6 /usr/bin/g++
  • install intltool and gettext-devel packages: sudo apt-get install intltool gettext-devel
  • install sndfile containing package: sudo apt-get install libsndfile-dev
  • install gthread containing package: sudo apt-get install libglib2.0-dev
  • install glibmm-2.4 containing package: sudo apt-get install libgmm-2.4
  • install header fftw3.f containing package: sudo apt-get install libfftw3-dev
  • install libcurl containing package: sudo apt-get install libcurl4-gnutls-dev {note this virtual package could also be provided by: libcurl4-openssl-dev or libcurl4-nss-dev but since I already had libcurl3 I suspected the later version (and its development headers) would be the most straightforward to use}
  • install jack >= 1.9.2 containing package: sudo apt get install libjack-jackd2-dev {note this installs the jack 1.9.10 version currently}
  • install gkt+-2.0 >= 2.20 containing package: libgtk2.0-dev libpango1.0-dev libcairo2-dev

Unfortunately I hit a - hopefully temporary - blockage in that the RPi is currently using libcairo2 and libcairo-gobject2 at version 1.14.8-1+rpi (i.e. an Raspberry Pi special compilation of those two - the unmodified versions are also available as 1.14.8-1) however libcairo2 is only listed as a version 1.14.8-1 and it only accepts the other libcairo packages without the suffix. I have found this Raspberry Pi forum article about it: "Unable to install libgtk2.0-dev on Raspberry Pi 2" and I have reported my findings and my suspicions that we need a libcairo2-dev version 1.14.8-1+rpi with a dependency on the other suffixed packages.

~That is all I can find out at the moment - I hope I can update this when this issue is sorted...~

Update: Seems that in the past I experimented with a different repository and have got some problems to sort out in that- given that I am away from home (and my RPi) for a few days I cannot do anything until I get back.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.